import request from '@/utils/request'

// 查询异常数据记录列表
export function listRecordAlarmData(query) {
  return request({
    url: '/ems/record/recordAlarmData/list',
    method: 'get',
    params: query
  })
}

// 查询异常数据记录详细
export function getRecordAlarmData(objId) {
  return request({
    url: '/ems/record/recordAlarmData/' + objId,
    method: 'get'
  })
}

// 新增异常数据记录
export function addRecordAlarmData(data) {
  return request({
    url: '/ems/record/recordAlarmData',
    method: 'post',
    data: data
  })
}

// 修改异常数据记录
export function updateRecordAlarmData(data) {
  return request({
    url: '/ems/record/recordAlarmData',
    method: 'put',
    data: data
  })
}

// 删除异常数据记录
export function delRecordAlarmData(objId) {
  return request({
    url: '/ems/record/recordAlarmData/' + objId,
    method: 'delete'
  })
}
